import forEach from 'lodash/forEach'; // eslint-disable-next-line import/prefer-default-export

export var validateRequiredParams = function validateRequiredParams(_ref) {
  var name = _ref.name,
      params = _ref.params,
      _ref$error = _ref.error,
      ErrorClass = _ref$error === void 0 ? Error : _ref$error;
  var errors = [];
  forEach(params, function (value, paramName) {
    if (!value) {
      errors.push(paramName);
    }
  });

  if (errors.length) {
    throw new ErrorClass("Method ".concat(name, " requires ").concat(errors.join(', '), " parameters"));
  }
};