"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BALANCE_TYPES = exports.ORDER_STATUSES = exports.ORDER_SIDES = exports.ORDER_TYPES = void 0;

var _mapValues = _interopRequireDefault(require("lodash/mapValues"));

var _lowerCase = _interopRequireDefault(require("lodash/lowerCase"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var makeLowerCaseVersion = function makeLowerCaseVersion(constants) {
  // eslint-disable-next-line no-param-reassign
  constants.LOWER = (0, _mapValues.default)(constants, _lowerCase.default);
  return constants;
};

var ORDER_TYPES = makeLowerCaseVersion({
  LIMIT: 'LIMIT'
});
exports.ORDER_TYPES = ORDER_TYPES;
var ORDER_SIDES = makeLowerCaseVersion({
  BUY: 'BUY',
  SELL: 'SELL'
});
exports.ORDER_SIDES = ORDER_SIDES;
var ORDER_STATUSES = makeLowerCaseVersion({
  OPEN: 'OPEN',
  DONE: 'DONE',
  ALL: 'ALL'
});
exports.ORDER_STATUSES = ORDER_STATUSES;
var BALANCE_TYPES = makeLowerCaseVersion({
  FREE: 'FREE',
  USED: 'USED',
  TOTAL: 'TOTAL'
});
exports.BALANCE_TYPES = BALANCE_TYPES;