"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateRequiredParams = void 0;

var _forEach = _interopRequireDefault(require("lodash/forEach"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line import/prefer-default-export
var validateRequiredParams = function validateRequiredParams(_ref) {
  var name = _ref.name,
      params = _ref.params,
      _ref$error = _ref.error,
      ErrorClass = _ref$error === void 0 ? Error : _ref$error;
  var errors = [];
  (0, _forEach.default)(params, function (value, paramName) {
    if (!value) {
      errors.push(paramName);
    }
  });

  if (errors.length) {
    throw new ErrorClass("Method ".concat(name, " requires ").concat(errors.join(', '), " parameters"));
  }
};

exports.validateRequiredParams = validateRequiredParams;